<template>
  <q-page padding>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Gestion de recibos
      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          flat
          dense
          icon="point_of_sale"
          label="Listado"
          to="/finanzas/recibos/listado"
        />
        <q-btn
          flat
          dense
          icon="attach_money"
          label="Nuevo"
          to="/finanzas/recibos/nuevo"
        />
      </div>
    </q-toolbar>
    <div class="row q-col-gutter-sm q-mt-sm">
      <div class="col-md col-xs-12">
        <div class="text-titulo q-pa-xs">Ultimos Recibos</div>
        <UltimosRecibosPartial />
      </div>
      <div class="col-md col-xs-12">
        <div class="text-titulo q-pa-xs">
          Ingresos por Experiencias (Año en curso)
        </div>
        <q-card>
          <PieGenerico
            :legenda="false"
            url="/api/finanzas/recibos/charts/ingresos_formacion"
          />
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import UltimosRecibosPartial from './Listado/_UltimosRecibosPartial.vue';
import PieGenerico from 'src/components/charts/PieGenerico.vue';

export default defineComponent({
  name: 'ExperienciasPage',
  components: { UltimosRecibosPartial, PieGenerico },
  setup() {
    return {};
  },
});
</script>
